<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::op_colm2&lt; M &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1op__colm2.html">op_colm2</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="structdlib_1_1op__colm2-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::op_colm2&lt; M &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:acb67276632d32fc1e1b5388b8e1c5a29"><td class="memItemLeft" align="right" valign="top"><a id="acb67276632d32fc1e1b5388b8e1c5a29"></a>
typedef M::type&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:acb67276632d32fc1e1b5388b8e1c5a29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03e3a7af8c468238e7233773f4dd8bf0"><td class="memItemLeft" align="right" valign="top"><a id="a03e3a7af8c468238e7233773f4dd8bf0"></a>
typedef M::const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>const_ret_type</b></td></tr>
<tr class="separator:a03e3a7af8c468238e7233773f4dd8bf0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b355b9e13d9d9ca55026ce985cc26bb"><td class="memItemLeft" align="right" valign="top"><a id="a1b355b9e13d9d9ca55026ce985cc26bb"></a>
typedef M::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:a1b355b9e13d9d9ca55026ce985cc26bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca346875702256ed343598a7e610b7e3"><td class="memItemLeft" align="right" valign="top"><a id="aca346875702256ed343598a7e610b7e3"></a>
typedef M::layout_type&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:aca346875702256ed343598a7e610b7e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a37f868a48e9ad1c645ef3ab9f9b693cc"><td class="memItemLeft" align="right" valign="top"><a id="a37f868a48e9ad1c645ef3ab9f9b693cc"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>op_colm2</b> (const M &amp;m_, const long &amp;col_, const long &amp;len)</td></tr>
<tr class="separator:a37f868a48e9ad1c645ef3ab9f9b693cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae388d01e3f306a66376d87bab96c07df"><td class="memItemLeft" align="right" valign="top"><a id="ae388d01e3f306a66376d87bab96c07df"></a>
const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>apply</b> (long r, long) const</td></tr>
<tr class="separator:ae388d01e3f306a66376d87bab96c07df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96b2143636327a07dbb7c186faf2b4d4"><td class="memItemLeft" align="right" valign="top"><a id="a96b2143636327a07dbb7c186faf2b4d4"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:a96b2143636327a07dbb7c186faf2b4d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8aca632225d451b9e4d8a93ca9604f24"><td class="memItemLeft" align="right" valign="top"><a id="a8aca632225d451b9e4d8a93ca9604f24"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:a8aca632225d451b9e4d8a93ca9604f24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad08518f4e2f50d9a052b994795831816"><td class="memTemplParams" colspan="2"><a id="ad08518f4e2f50d9a052b994795831816"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:ad08518f4e2f50d9a052b994795831816"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:ad08518f4e2f50d9a052b994795831816"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad09da9c2c78df72789f566ee2d3dce35"><td class="memTemplParams" colspan="2"><a id="ad09da9c2c78df72789f566ee2d3dce35"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:ad09da9c2c78df72789f566ee2d3dce35"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>destructively_aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:ad09da9c2c78df72789f566ee2d3dce35"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ada71d2838a451ee5e9fd1b2bd17a454f"><td class="memItemLeft" align="right" valign="top"><a id="ada71d2838a451ee5e9fd1b2bd17a454f"></a>
const M &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>m</b></td></tr>
<tr class="separator:ada71d2838a451ee5e9fd1b2bd17a454f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade31bbf6d71731168ca40d0c6dd596d8"><td class="memItemLeft" align="right" valign="top"><a id="ade31bbf6d71731168ca40d0c6dd596d8"></a>
const long&#160;</td><td class="memItemRight" valign="bottom"><b>col</b></td></tr>
<tr class="separator:ade31bbf6d71731168ca40d0c6dd596d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a761bdc2362a00e0f440467046c3c475d"><td class="memItemLeft" align="right" valign="top"><a id="a761bdc2362a00e0f440467046c3c475d"></a>
const long&#160;</td><td class="memItemRight" valign="bottom"><b>length</b></td></tr>
<tr class="separator:a761bdc2362a00e0f440467046c3c475d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a9acf62b052b85ce0e380292c208e0337"><td class="memItemLeft" align="right" valign="top"><a id="a9acf62b052b85ce0e380292c208e0337"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>cost</b> = M::cost</td></tr>
<tr class="separator:a9acf62b052b85ce0e380292c208e0337"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e854118dee98712d361e0e33a57fcec"><td class="memItemLeft" align="right" valign="top"><a id="a8e854118dee98712d361e0e33a57fcec"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NR</b> = 0</td></tr>
<tr class="separator:a8e854118dee98712d361e0e33a57fcec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebd0874b546ce21a2a8ee6f1105df984"><td class="memItemLeft" align="right" valign="top"><a id="aebd0874b546ce21a2a8ee6f1105df984"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NC</b> = 1</td></tr>
<tr class="separator:aebd0874b546ce21a2a8ee6f1105df984"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="matrix__subexp_8h_source.html">matrix_subexp.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
